<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <link rel="stylesheet" href="styles.css" />
    <script src="script.js" defer></script>
    <title>Document</title>
  </head>
  <body>
    <table id="tableValue">
      <script>
        for (var i = 0; i < 100; i++) {
          document.write('<tr>');
          for (var y = 0; y < 100; y++) {
            document.write('<td>' + i + '</td>');
          }
          document.write('</tr>');
        }
      </script>
    </table>

    <script>
      const startTime = performance.now();
      const tableValues = document.getElementById('tableValue');
      console.log('tableValues', tableValues);
      tableValues.addEventListener('click', function () {
        console.log('working');
      });
      const endTime = performance.now();
      console.log(`Executed in ${endTime - startTime}`);
    </script>
  </body>
</html>
